const CODE_KEY = 'WECHAT_CODE'


export function setCode(code){
  window.localStorage.setItem(CODE_KEY,code || '')
}

export function getCode(){
  return window.localStorage.getItem(CODE_KEY) || ''
}

export function removeCode(){
  return window.localStorage.removeItem(CODE_KEY)
}

export function getParameterByName(name) {
  var url = window.location.href;
  name = name.replace(/[\[\]]/g, '\\$&');
  var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)');
  var results = regex.exec(url);
  if (!results) return null;
  if (!results[2]) return '';
  return decodeURIComponent(results[2].replace(/\+/g, ' '));
}


// const errorData = {"code":1004,"message":"未获取到用户数据"}
// const data =  {
// 	"code": 0,
// 	"message": "获取成功",
// 	"data": {
// 		"id": "1",
// 		"openid": "oOpc26KiZFBKIm7SB8knFGvov1qg",
// 		"mobile": "",
// 		"gender": "0",
// 		"nickname": "",
// 		"avatar": "",
// 		"subscribe_time": "2022-12-21 15:52:14",
// 		"addr": "",
// 		"status": "1",
// 		"companyArr": [
//         {"companyNo":"GS2302231323386950","companyName":"北京泓源广诚国际商贸有限公司"},
//         {"companyNo":"GS2302231124114965","companyName":"北京普润心堂商贸有限公司"},
//         {"companyNo":"GS2302231125079621","companyName":"北京百辰荣达国际科贸有限公司"},
//         {"companyNo":"GS2203161855277894","companyName":"北京万宇恒通国际科贸有限公司"}
//       ],
// 		"addtime": "2023-04-10 18:11:07",
// 		"updatetime": "2023-04-11 09:37:53"
// 	}
// }


// export const mockData = errorData
